Module | Ramaze::View
In: | lib/ramaze/view.rb lib/ramaze/view/erector.rb lib/ramaze/view/erubis.rb lib/ramaze/view/ezamar.rb lib/ramaze/view/gestalt.rb lib/ramaze/view/haml.rb lib/ramaze/view/liquid.rb lib/ramaze/view/lokar.rb lib/ramaze/view/mustache.rb lib/ramaze/view/nagoro.rb lib/ramaze/view/remarkably.rb lib/ramaze/view/sass.rb lib/ramaze/view/slippers.rb lib/ramaze/view/tagz.rb lib/ramaze/view/tenjin.rb

This is a container module for wrappers of templating engines and handles lazy requiring of needed engines.

### Methods

auto_register

### Classes and Modules

Module Ramaze::View::Erector
Module Ramaze::View::Erubis
Module Ramaze::View::Ezamar
Module Ramaze::View::Gestalt
Module Ramaze::View::Haml
Module Ramaze::View::Liquid
Module Ramaze::View::Lokar
Module Ramaze::View::Mustache
Module Ramaze::View::Nagoro
Module Ramaze::View::Remarkably
Module Ramaze::View::Sass
Module Ramaze::View::Slippers
Module Ramaze::View::Tagz
Module Ramaze::View::Tenjin

### Public Class methods

auto_register(name, *exts)

Combine Kernel#autoload and Innate::View::register

[Validate]